Package com.sap.ai.sdk.core.model

# Class AiVersion

java.lang.Object
com.sap.ai.sdk.core.model.AiVersion

public class AiVersion extends Object
AiVersion

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `AiVersion.Builder`
  Builder helper class.
  `static interface`
  `AiVersion.Builder1`
  Builder helper class.
  `static interface`
  `AiVersion.Builder2`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AiVersion()`
  Default constructor for AiVersion.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AiVersion.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `AiVersion` instance with all required arguments.
  `AiVersion`
  `createdAt(OffsetDateTime createdAt)`
  Set the createdAt of this `AiVersion` instance and return the same instance.
  `AiVersion`
  `description(String description)`
  Set the description of this `AiVersion` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `OffsetDateTime`
  `getCreatedAt()`
  Timestamp of resource creation
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `AiVersion`.
  `String`
  `getDescription()`
  Version description
  `String`
  `getId()`
  Version ID
  `OffsetDateTime`
  `getModifiedAt()`
  Timestamp of latest resource modification
  `String`
  `getScenarioId()`
  ID of the scenario
  `int`
  `hashCode()`
  `AiVersion`
  `id(String id)`
  Set the id of this `AiVersion` instance and return the same instance.
  `AiVersion`
  `modifiedAt(OffsetDateTime modifiedAt)`
  Set the modifiedAt of this `AiVersion` instance and return the same instance.
  `AiVersion`
  `scenarioId(String scenarioId)`
  Set the scenarioId of this `AiVersion` instance and return the same instance.
  `void`
  `setCreatedAt(OffsetDateTime createdAt)`
  Set the createdAt of this `AiVersion` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `AiVersion` instance.
  `void`
  `setDescription(String description)`
  Set the description of this `AiVersion` instance.
  `void`
  `setId(String id)`
  Set the id of this `AiVersion` instance.
  `void`
  `setModifiedAt(OffsetDateTime modifiedAt)`
  Set the modifiedAt of this `AiVersion` instance.
  `void`
  `setScenarioId(String scenarioId)`
  Set the scenarioId of this `AiVersion` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `AiVersion` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AiVersion

    protected AiVersion()
    Default constructor for AiVersion.

- ## Method Details

  - ### description

    @Nonnull public AiVersion description(@Nullable String description)
    Set the description of this `AiVersion` instance and return the same instance.
    Parameters:
      `description` - Version description
    Returns:
      The same instance of this `AiVersion` class

  - ### getDescription

    @Nonnull public String getDescription()
    Version description
    Returns:
      description The description of this `AiVersion` instance.

  - ### setDescription

    public void setDescription(@Nullable String description)
    Set the description of this `AiVersion` instance.
    Parameters:
      `description` - Version description

  - ### id

    @Nonnull public AiVersion id(@Nonnull String id)
    Set the id of this `AiVersion` instance and return the same instance.
    Parameters:
      `id` - Version ID
    Returns:
      The same instance of this `AiVersion` class

  - ### getId

    @Nonnull public String getId()
    Version ID
    Returns:
      id The id of this `AiVersion` instance.

  - ### setId

    public void setId(@Nonnull String id)
    Set the id of this `AiVersion` instance.
    Parameters:
      `id` - Version ID

  - ### scenarioId

    @Nonnull public AiVersion scenarioId(@Nullable String scenarioId)
    Set the scenarioId of this `AiVersion` instance and return the same instance.
    Parameters:
      `scenarioId` - ID of the scenario
    Returns:
      The same instance of this `AiVersion` class

  - ### getScenarioId

    @Nonnull public String getScenarioId()
    ID of the scenario
    Returns:
      scenarioId The scenarioId of this `AiVersion` instance.

  - ### setScenarioId

    public void setScenarioId(@Nullable String scenarioId)
    Set the scenarioId of this `AiVersion` instance.
    Parameters:
      `scenarioId` - ID of the scenario

  - ### createdAt

    @Nonnull public AiVersion createdAt(@Nonnull OffsetDateTime createdAt)
    Set the createdAt of this `AiVersion` instance and return the same instance.
    Parameters:
      `createdAt` - Timestamp of resource creation
    Returns:
      The same instance of this `AiVersion` class

  - ### getCreatedAt

    @Nonnull public OffsetDateTime getCreatedAt()
    Timestamp of resource creation
    Returns:
      createdAt The createdAt of this `AiVersion` instance.

  - ### setCreatedAt

    public void setCreatedAt(@Nonnull OffsetDateTime createdAt)
    Set the createdAt of this `AiVersion` instance.
    Parameters:
      `createdAt` - Timestamp of resource creation

  - ### modifiedAt

    @Nonnull public AiVersion modifiedAt(@Nonnull OffsetDateTime modifiedAt)
    Set the modifiedAt of this `AiVersion` instance and return the same instance.
    Parameters:
      `modifiedAt` - Timestamp of latest resource modification
    Returns:
      The same instance of this `AiVersion` class

  - ### getModifiedAt

    @Nonnull public OffsetDateTime getModifiedAt()
    Timestamp of latest resource modification
    Returns:
      modifiedAt The modifiedAt of this `AiVersion` instance.

  - ### setModifiedAt

    public void setModifiedAt(@Nonnull OffsetDateTime modifiedAt)
    Set the modifiedAt of this `AiVersion` instance.
    Parameters:
      `modifiedAt` - Timestamp of latest resource modification

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `AiVersion`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `AiVersion` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `AiVersion` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `AiVersion` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static AiVersion.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `AiVersion` instance with all required arguments.